
-(Foo *)getFoo
{
    Foo *foo = [[Foo alloc] init];
    return [foo autorelease];
}

-(void)someMethod
{
    Foo *foo = [[[Foo alloc] init] autorelease];
    // foo is still valid here,
    //it won’t be released until the method exists
    [foo doSomething];
}


-(void)inflateMemoryUsage
{
    for(NSUInteger n = 0; n < 100000; ++n)
    {
        @autoreleasepool
        {
            // this object is autoreleased
            NSData *data = [self getBigBlobOfData];
            // do something with data...
            [self doStuff:data];
            
        }
        
    }
}
