//
//  main.m
//  Objects
//
//  Created by Jiva DeVoe on 10/16/12.
//  Copyright (c) 2012 Pocket Lint Labs. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>
#import "Mammal.h"

int main(int argc, const char * argv[])
{
    @autoreleasepool
    {
        NSMutableString *myString = [[NSMutableString alloc] init];
        [myString appendString:@"Objective-C is cool!"];
        
        NSMutableString *anotherString = [NSMutableString stringWithString:@"Objective-C is Cool!"];
        
        NSString *staticString = @"Objective-C is Cool";
        
        NSMutableArray *anArray = [@[@"One", @"Two", @"Three"] mutableCopy];
        NSDictionary *aDictionary = @{ @"One": @"A", @"Two": @"B"};
        
        NSLog(@"%@", myString);
        NSLog(@"%@", anotherString);
        NSLog(@"%@", staticString);
        NSLog(@"%@", anArray);
        NSLog(@"%@", aDictionary);
        
        [myString release];
        [anArray release];
    }
    return 0;
}

