//
//  main.m
//  Objects
//
//  Created by Jiva DeVoe on 10/16/12.
//  Copyright (c) 2012 Pocket Lint Labs. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>
#import "Mammal.h"
#import "Cat.h"
#import "Dog.h"

int main(int argc, const char * argv[])
{
    @autoreleasepool
    {
        Mammal *mammal = [[Mammal alloc] init];
        [mammal vocalize];
        [mammal setHappy:YES];
        [mammal vocalize];
        
        Mammal *dog = [[Dog alloc] init];
        [dog vocalize];
        [dog setHappy:YES];
        [dog vocalize];

        Mammal *cat = [[Cat alloc] init];
        [cat vocalize];
        [cat setHappy:YES];
        [cat vocalize];

//        [cat meow]; // error
//        [dog bark]; // error
        
        Cat *anotherCat = [[Cat alloc] init];
        [anotherCat meow];
        [anotherCat purr];
        [cat setHappy:YES];
        [cat vocalize];

        Dog *sameDog = (Dog *)dog;
        [sameDog bark];
        [sameDog growl];
        
}
    return 0;
}

