//
//  main.m
//  ReturnCode
//
//  Created by Jiva DeVoe on 10/17/12.
//  Copyright (c) 2012 Pocket Lint Labs. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FileWrapper : NSObject
-(BOOL)openFileAtPath:(NSString *)inPath;
@end;

@implementation FileWrapper

-(BOOL)openFileAtPath:(NSString *)inPath;
{
    NSDictionary *contents = [NSDictionary dictionaryWithContentsOfFile:inPath];
    if(!contents)
        return NO;
    return YES;
}

@end

int main(int argc, const char * argv[])
{

    @autoreleasepool
    {
        FileWrapper *wrapper = [[FileWrapper alloc] init];
        if([wrapper openFileAtPath:@"..."])
        {
            // do stuff with the file here...
        }
        else
        {
            // tell the user the file couldn’t be opened.
        }
    }
    return 0;
}

