//
//  Mammal.h
//  Objects
//
//  Created by Jiva DeVoe on 10/16/12.
//  Copyright (c) 2012 Pocket Lint Labs. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>

@interface Mammal : NSObject
@property (strong, nonatomic) NSColor *furColor;
@property (nonatomic) float bodyTemperature;
@property (nonatomic, getter = isHappy) BOOL happy;
@property (strong, nonatomic) Mammal *parent;

-(void)vocalize;
-(NSArray *)giveLiveBirth;
-(void)nurseYoung:(Mammal *)young;

-(id)init;
-(id)initWithFurColor:(NSColor *)furColor;
-(id)initWithFurColor:(NSColor *)furColor parent:(Mammal *)parent;

+(id)mammal;

@end

